Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathMovetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathMovetoAbs:
[legend]
Collaboration diagram for Magick::PathMovetoAbs:
[legend]

## Public Member Functions
| PathMovetoAbs (const Magick::Coordinate &coordinate_)
| PathMovetoAbs (const CoordinateList &coordinates_)
| PathMovetoAbs (const PathMovetoAbs &original_)
| ~PathMovetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 3089 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathMovetoAbs() [1/3]

Magick::PathMovetoAbs::PathMovetoAbs | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2438 of file Drawable.cpp.

## ◆ PathMovetoAbs() [2/3]

Magick::PathMovetoAbs::PathMovetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2442 of file Drawable.cpp.

## ◆ PathMovetoAbs() [3/3]

Magick::PathMovetoAbs::PathMovetoAbs | ( | const PathMovetoAbs & | original_ | ) |

Definition at line 2446 of file Drawable.cpp.

## ◆ ~PathMovetoAbs()

Magick::PathMovetoAbs::~PathMovetoAbs | ( | void |  | ) |

Definition at line 2451 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathMovetoAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2462 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathMovetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2454 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp